Subject: Re: [bug#53648] [PATCH] gnu: fcitx5-gtk: Add GTK 4 support.

From: Maxime Devos <[email-masked]>
Date: Sun, 06 Feb 2022 18:03:34 +0100

Zhu Zihao schreef op ma 07-02-2022 om 00:02 [+0800]:
> Maxime Devos <[email-masked]> writes:
> 
> > What's the point of building for three separate gtk versions?
> > Why not just build for gtk@4?
> 
> Many packages still use GTK3, aren't they?
> 
> > Also, if we go for multiple outputs, shouldn't the latest gtk
> version
> > go into "out" instead of the middle version gtk@3?
> 
> IMO, GTK3 is still majority, so put it under "out", and make gtk2 and
> gtk4 separated.

It doesn't seem relevant to me that most packages use gtk+@3,
since fcitx5-gtk is not most packages.  Majority is irrelevant here.

Anyways, we try to use the latest version of packages in Guix whenever
feasible (for features, for bugfixes, because eventually the old
versions will be unsupported upstream and to have less versions to
keep track of), and gtk@4 is the latest version of gtk, so it seems to
me that we should simplify things here by just using the latest version
of gtk, i.e., gtk@4.

Greetings,
Maximes